#version 3.7;

global_settings{ assumed_gamma 1.0 }

camera{
	orthographic
	location < 0, 10, 0> 
	look_at 0
	sky z
	direction -10 * y
	right 2*x
	up 2*z
}

light_source{ < 1, 4, 1>*1000000 color srgb 1 }

#declare RaftersNum = 8;

#declare Rafter = prism{ linear_sweep linear_spline -0.3, 0.3, 5, < -0.2, 1>, < 0.2, 1>, < 0.1, 0.65>, <-0.1, 0.65>, <-0.2, 1> }

#declare SpinObj = difference{
						cylinder{ < 0, -0.25, 0 >, < 0, 0.25, 0 >, 0.85 }
						cylinder{ < 0, -0.3, 0 >, < 0, 0.3, 0 >, 0.25 }
						#for( It, 0, RaftersNum - 1 )
							object{Rafter rotate 360 / RaftersNum * It * y}
						#end
					}
					
object{ SpinObj rotate 360 / FramesNum * clock * z 
	pigment{ color srgb 0.5 }
	finish{ specular 0.1 roughness 0.1 }
}